### Enumeration

# ECal RecurDescribeRecurrenceFlags

since: 3.30

#### Declaration

    flags ECal.RecurDescribeRecurrenceFlags

#### Description [src]

Influences behaviour of e_cal_recur_describe_recurrence().

Available since: 3.30

#### Members

`E_CAL_RECUR_DESCRIBE_RECURRENCE_FLAG_NONE`

  No extra flags, either returns `NULL` or the recurrence description, something like “Every 2 weeks…”.

  - Value: `0`
  - Available since: 3.30
`E_CAL_RECUR_DESCRIBE_RECURRENCE_FLAG_PREFIXED`

  Either returns `NULL` or the recurrence description prefixed with text like “The meeting recurs”, forming something like “The meeting recurs every 2 weeks…”.

  - Value: `1`
  - Available since: 3.30
`E_CAL_RECUR_DESCRIBE_RECURRENCE_FLAG_FALLBACK`

  Returns `NULL` only if the component doesn’t recur, otherwise returns either the recurrence description or at least text like “The meeting recurs”.

  - Value: `2`
  - Available since: 3.30